<?xml version="1.0" encoding="utf-8" ?>

<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2">
	<class name="AidA.Data.Entities.FinanzTransaktion, AidA" table="FinanzTransaktion">
		<id name="Id" column="Id" type="Int64" unsaved-value="null">
			<generator class="identity" />
		</id>
		<property name="Betrag" type="decimal" />
		<property name="AuszugsDatum" type="DateTime2" />
		<property name="ErfassungsTimestamp" type="DateTime2" />
		<property name="Bemerkung" type="String" />
		<property name="Version" type="Int64" />

		<bag name="ZahlungenSEPA" table="ZahlungSEPA" generic="true" cascade="all-delete-orphan">
			<key column="FinanzTransaktionId" />
			<one-to-many class="AidA.Data.Entities.ZahlungSEPA, AidA" />
		</bag>
	</class>
</hibernate-mapping>